Skip to main content

Authorizations


This section provides the information you need to process a basic authorization.

All supported card types can process authorizations.

Supported Processors

  • AIBMS
  • American Express Direct
  • Banque de France et Tresor Public
  • Barclays
  • BNP Paribas France
  • Chase Paymentech Solutions
  • Chase Tandem
  • China UnionPay
  • Cielo
  • Comercio Latino
  • Credit Mutuel-CIC
  • eftpos
  • Elavon
  • Elavon Americas
  • FDC Compass
  • FDC Nashville Global
  • FDI Australia
  • FDMS Nashville
  • Fiserv RapidConnect
  • Getnet
  • GPN
  • HBoS
  • HSBC
  • JCN Gateway
  • Lloyds-OmniPay
  • LloydsTSB Cardnet
  • Moneris
  • National Payment Gateway
  • OmniPay Direct
  • Prosa
  • Rede
  • RuPay
  • SIX
  • Streamline
  • TSYS Acquiring Solutions
  • UATP
  • Vero
  • Visa Platform Connect
  • Worldpay VAP
  • Barclays
  • TSYS Acquiring Solutions
  • GPX
  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Streamline
  • Worldpay VAP

Processor-Specific Information

National Payment Gateway: requires payer authentication data in sale requests.

FDC Nashville Global Merchant Category Codes: when your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.

Declined Authorizations

If an authorization is declined, you can use response categories to help you decide whether to retry or block a declined transaction. These response fields provide additional information:

  • paymentInsightsInformation.responseInsights.category
  • paymentInsightsInformation.responseInsights.categoryCode

Category codes have possible values (such as 01) each of which corresponds to a category that contains a description.

You cannot retry this category code and category:

  • 01 ISSUER_WILL_NEVER_APPROVE

For these values, you can retry the transaction a maximum of 15 times over a period of 30 days:

  • 02 ISSUER_CANNOT_APPROVE_AT_THIS_TIME
  • 03 ISSUER_CANNOT_APPROVE_WITH_THESE_DETAILS: Data quality issue. Revalidate data prior to retrying the transaction.
  • 04 GENERIC_ERROR
  • 97 PAYMENT_INSIGHTS_INTERNAL_ERROR
  • 98 OTHERS
  • 99 PAYMENT_INSIGHTS_RESPONSE_CATEGORY_MATCH_NOT_FOUND

Account Level Management (ALM) fields are supported in the authorization response for Mastercard when your processor is GPX.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

Standard Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": ""        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "usd"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6461731521426399003473/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6461731521426399003473"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6461731521426399003473/captures"    }  },  "clientReferenceInformation" : {    "code" : "1646173152047"  },  "id" : "6461731521426399003473",  "orderInformation" : {    "amountDetails" : {      "authorizedAmount" : "100.00",      "currency" : "usd"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "paymentInsightsInformation" : {    "responseInsights" : {      "categoryCode" : "01"    }  },  "processorInformation" : {    "systemTraceAuditNumber" : "862481",    "approvalCode" : "831000",    "merchantAdvice" : {      "code" : "01",      "codeRaw" : "M001"    },    "responseDetails" : "ABC",    "networkTransactionId" : "016153570198200",    "consumerAuthenticationResponse" : {      "code" : "2",      "codeRaw" : "2"    },    "transactionId" : "016153570198200",    "responseCode" : "00",    "avs" : {      "code" : "Y",      "codeRaw" : "Y"    }  },  "reconciliationId" : "6461731521426399003473",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2022-03-01T22:19:12Z"}

China UnionPay Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": ""        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "USD"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2025",            "number": "62509470XXXXXXXX",            "expirationMonth": "12",            "type": "062"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6461731521426399003473/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6461731521426399003473"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6461731521426399003473/captures"    }  },  "clientReferenceInformation" : {    "code" : "1646173152047"  },  "id" : "6461731521426399003473",  "orderInformation" : {    "amountDetails" : {      "authorizedAmount" : "100.00",      "currency" : "CNY"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "paymentInsightsInformation" : {    "responseInsights" : {      "categoryCode" : "01"    }  },  "processorInformation" : {    "systemTraceAuditNumber" : "862481",    "approvalCode" : "831000",    "merchantAdvice" : {      "code" : "01",      "codeRaw" : "M001"    },    "responseDetails" : "ABC",    "networkTransactionId" : "016153570198200",    "consumerAuthenticationResponse" : {      "code" : "2",      "codeRaw" : "2"    },    "transactionId" : "016153570198200",    "responseCode" : "00",    "avs" : {      "code" : "Y",      "codeRaw" : "Y"    }  },  "reconciliationId" : "6461731521426399003473",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2022-03-01T22:19:12Z"}

Required Fields

Default Required Fields

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—

Processor-Specific Required Fields

China UnionPay Required Fields

FieldDescription
aggregatorInformation.aggregatorId—
clientReferenceInformation.code—
consumerAuthenticationInformation.cavv—
orderInformation.billTo.address2—
orderInformation.billTo.buildingNumber—
orderInformation.billTo.company—

RuPay Required Field

FieldDescription
orderInformation.amountDetails.currencySet the value to INR.

National Payment Gateway Required Fields

FieldDescription
clientReferenceInformation.code—
consumerAuthenticationInformation.acsReferenceNumber—
consumerAuthenticationInformation.acsTransactionId—
consumerAuthenticationInformation.cavv—
consumerAuthenticationInformation.directoryServerTransactionId—
consumerAuthenticationInformation.dsReferenceNumber—
consumerAuthenticationInformation.paresStatusSet the value to Y.
consumerAuthenticationInformation.paSpecificationVersionSet the value to 2.
merchantInformation.transactionLocalDateTime—
orderInformation.billTo.address2—
orderInformation.billTo.phoneNumber—
processingInformation.authorizationOptions.authIndicatorSet the value to 1.
processingInformation.authorizationOptions.initiator.typeSet the value to customer.
processingInformation.commerceIndicator—

Country-Specific Required Fields

Argentina

FieldDescription
merchantInformation.taxIdRequired for Mastercard transactions.
merchantInformation.transactionLocalDateTimeRequired when the time zone is not included in your account. Otherwise, this field is optional.

Brazil

FieldDescription
paymentInformation.card.sourceAccountTypeRequired for combo card transactions.
paymentInformation.card.sourceAccountTypeDetailsRequired for combo card line-of-credit and prepaid-card transactions.

Chile and Paraguay

FieldDescription
merchantInformation.transactionLocalDateTimeRequired when the time zone is not included in your account. Otherwise, this field is optional.

Egypt

FieldDescription
paymentInformation.card.cardTypeRequired for Meeza transactions. Set the value to 067.
merchantInformation.merchantDescriptor.countryRequired for Meeza transactions. Set the value to EG.

Mainland China

FieldDescription
consumerAuthenticationInformation.cavvRequired for domestic debit cards.

Saudi Arabia

FieldDescription
processingInformation.authorizationOptions.transactionModeRequired only for merchants in Saudi Arabia.

Taiwan

FieldDescription
paymentInformation.card.hashedNumberRequired only for merchants in Taiwan.

Last published: September 29, 2026